import java.util.*;

/**
 * Klasse fr die Informationen eines Angestellten
 *
 * @author Bernhard Fiser 0109815
 * @version 1.0
 */

public class Angestellter extends Person
{
	private String[]	qual = new String[10];
	private StringTokenizer	st;
	private int		i;

	/** Constructor */
	public		Angestellter(String vname, String nname, int year, int kohle, String q)
	{
		super(vname, nname, year, kohle);
		this.addQual(q);
	}

	/** Gehaltszuschlag berechnen */
	public int	getZuschlag()
	{
		return(this.qual.length * 50);
	}

	/** Angestellten Ausgeben */
	public void	print()
	{
		System.out.print(" ANG, ");
		super.print();
	}

	/** Qualifikationen parsen */
	private int	addQual(String q)
	{
		i = 0;
		this.st = new StringTokenizer(q, ";");
		while (st.hasMoreTokens() && (i < 10))
			qual[this.i++] = st.nextToken();

		return this.i;
	}
}
