import java.io.*;

/** Klasse zum einlesen eines PersonenFiles
  *
  * @author Bernhard Fiser 0109815
  * @version 2.0
  */

public abstract class PersonenFileReader
{
        private String	filename;
        protected BufferedReader
			br;

	/** Object erstellen und Filename speichern */
        public		PersonenFileReader(String filename)
        {
                this.filename = filename;
        }

	/** Personenfile ffnen */
        public void	open() throws IOException
        {
                this.br = new BufferedReader(new InputStreamReader(new FileInputStream(filename)));
        }

	/* Personenfile schlieen */
        public void	close() throws IOException
        {
                this.br.close();
        }

	public abstract Person
			readNext() throws IOException;
}

